# base.hpp File Reference

Base for all blitters. More...

`#include "../spritecache.h"`
`#include "../spriteloader/spriteloader.hpp"`
`#include "../zoom_type.h"`

Go to the source code of this file.

## Data Structures

class | Blitter
| How all blitters should look like. More...
struct | Blitter::BlitterParams

## Enumerations

enum | BlitterMode { BM_NORMAL, BM_COLOUR_REMAP, BM_TRANSPARENT }

## Detailed Description

Base for all blitters.

Definition in file base.hpp.